com.threerings.stage.client

## Interface StageSceneService

All Superinterfaces:
  com.threerings.presents.client.InvocationService

All Known Implementing Classes:
  StageSceneMarshaller

    public interface StageSceneService
    extends com.threerings.presents.client.InvocationService

Provides services relating to Stage scenes.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addObject(com.threerings.miso.data.ObjectInfo info, com.threerings.presents.client.InvocationService.ConfirmListener listener)` Requests to add the supplied object to the current scene.
`void` `removeObjects(com.threerings.miso.data.ObjectInfo[] info, com.threerings.presents.client.InvocationService.ConfirmListener listener)` Requests to remove the supplied objects from the current scene.

### Method Detail

#### addObject

    void addObject(com.threerings.miso.data.ObjectInfo info,
                   com.threerings.presents.client.InvocationService.ConfirmListener listener)

Requests to add the supplied object to the current scene.

#### removeObjects

    void removeObjects(com.threerings.miso.data.ObjectInfo[] info,
                       com.threerings.presents.client.InvocationService.ConfirmListener listener)

Requests to remove the supplied objects from the current scene.